Subject: [16ng] Fw: Latest NWG drafts

From: Soohong Daniel Park <[email-masked]>
Date: Tue, 22 Aug 2006 08:57:55 +0900

Latest NWG draftsFYI.

Thanks Prakash 

Daniel (Soohong Daniel Park)
Mobile Convergence Laboratory, SAMSUNG Electronics.

======================

Hi Daniel and Gabriel - 
The latest NWG V&V drafts are now posted to the publicly accessible link - http://www.wimaxforum.org/technology/documents 
We will be working on comments and contributions on these drafts over the next couple of months. Meanwhile if you have any questions, please let us know.
Regards. 
-Prakash 
>From [email-masked] Tue Aug 22 10:15:38 2006
Date: Tue, 22 Aug 2006 09:02:41 +0900
From: Soohong Daniel Park <[email-masked]>
Subject: Re: [16ng] PMP definition in Section 2.2 of RFC2461
To: "Johnston, Dj" <[email-masked]>,
   Jeff Mandin <[email-masked]>,
   Junghoon Jee <[email-masked]>
cc: [email-masked]

DJ,

Are you assuming that the point-to-point definition in RFC 2461 is pretty much enough for the 16ng work ? 

point-to-point - a link that connects exactly two interfaces.  
A point-to-point link is assumed to have multicast capability
and have a link-local address.

Note: I don't have any hard stance on this subject. Rather trying to clarify this point from the RFC 2461 view point.

Daniel (Soohong Daniel Park)
Mobile Convergence Laboratory, SAMSUNG Electronics.

----- Original Message ----- 
From: "Johnston, Dj" <[email-masked]>
To: "Jeff Mandin" <[email-masked]>; "Junghoon Jee" <[email-masked]>
Cc: <[email-masked]>
Sent: Friday, August 18, 2006 7:01 AM
Subject: RE: [16ng] PMP definition in Section 2.2 of RFC2461

> This cannot be.
> 
> 1) 802.16 does not specify forwarding behaviour between multiple points.
> It does specify point to point MAC connections between SSs and BSs and
> the mapping of those connections to MAC service by the CS.
> 
> 2) If a single instance of a CS terminated multiple connection sets for
> multiple endpoints and used MAC addresses to place packets on
> connections, then that would be a gross violation of the 802
> architecture and would break 802.1D. We have 802.1D to join together
> these networks in an interoperable way.
> 
> 3) operPointToPointMac = TRUE
> 
> 
> 
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]] On Behalf Of Jeff Mandin
> Sent: Thursday, August 17, 2006 11:51 AM
> To: Junghoon Jee
> Cc: [email-masked]
> Subject: Re: [16ng] PMP definition in Section 2.2 of RFC2461
> 
> No opinion on RFC 2461bis.
> 
> However we can see that 802.16e-2005 is PMP at the MAC layer (for all
> CS types) from the fact that there is a single MAC SAP (and a single
> MAC instance with a single set of classifiers) at the BS through which
> communication with multiple SSes takes place.
> 
> By way of contrast,  first mile ethernet (802.3ah) is PMP at the PHY,
> but includes a "point to point emulation layer" which glues together
> multiple MAC instantiations and a single PHY and multiplexes - so that
> each LLC (or IP) client instance at the BS sees a point-to-point link
> to a specific subscriber.
> 
> - Jeff
> 
> 
> 
> On 8/17/06, Junghoon Jee <[email-masked]> wrote:
>> I agree with DJ here.
>> It seems there's no need to update the RFC2461.
>>
>> Junghoon
>>
>> > -----Original Message-----
>> > From: [email-masked]
>> > [mailto:[email-masked]] On Behalf Of Johnston, Dj
>> > Sent: Thursday, August 17, 2006 5:53 AM
>> > To: Rao Satyanarayana-W60007; Soohong Daniel Park;
>> > [email-masked]
>> > Subject: RE: [16ng] PMP definition in Section 2.2 of RFC2461
>> >
>> >
>> > 802.16 is PMP at the physical layer, but not at the MAC
>> > layer. At the MAC service it is P2P.
>> >
>> > DJ
>> >
>> >
>> > -----Original Message-----
>> > From: [email-masked]
>> > [mailto:[email-masked]] On Behalf Of Rao
>> > Satyanarayana-W60007
>> > Sent: Wednesday, August 16, 2006 10:59 AM
>> > To: Soohong Daniel Park; [email-masked]
>> > Subject: RE: [16ng] PMP definition in Section 2.2 of RFC2461
>> >
>> > Yes, I agree.   For completeness sake,  it should.
>> >
>> > - Satya Rao
>> > Mobile Devices Technology Office
>> > Motorola
>> > Tel: 512-996-6781
>> > Email: [email-masked]
>> >
>> >
>> > > -----Original Message-----
>> > > From: [email-masked]
>> > > [mailto:[email-masked]] On Behalf Of
>> > Soohong Daniel
>> > > Park
>> > > Sent: Wednesday, August 16, 2006 1:33 AM
>> > > To: [email-masked]
>> > > Subject: [16ng] PMP definition in Section 2.2 of RFC2461
>> > >
>> > > So far, no PMP link are defined in RFC 2461, Section 2.2.
>> > > In case of IEEE 802.16, PMP is a mandatory topology.
>> > > Obviously, 16ng solution is based on PMP link type.
>> > >
>> > > Do we need a PMP definition in Section 2.2 of RFC2461 ?
>> > >
>> > > For example;
>> > > ================================================
>> > > point-to-multipoint
>> > > - a link consists of a single interface communicating directly
>> with
>> > > more than one interface.
>> > > ================================================
>> > >
>> > > I know the status of 2461bis is a AD Evaluation, so if allowed, we
>>
>> > > should tackle the PMP link definition on the bis.
>> > >
>> > > Comments ?
>> > >
>> > > Daniel (Soohong Daniel Park)
>> > > Mobile Convergence Laboratory, SAMSUNG Electronics.
>> > > _______________________________________________
>> > > 16ng mailing list
>> > > [email-masked]
>> > > http://eeca16.sogang.ac.kr/mailman/listinfo/16ng
>> > >
>> >
>> > _______________________________________________
>> > 16ng mailing list
>> > [email-masked]
>> > http://eeca16.sogang.ac.kr/mailman/listinfo/16ng
>> >
>> > _______________________________________________
>> > 16ng mailing list
>> > [email-masked]
>> > http://eeca16.sogang.ac.kr/mailman/listinfo/16ng
>>
>> _______________________________________________
>> 16ng mailing list
>> [email-masked]
>> http://eeca16.sogang.ac.kr/mailman/listinfo/16ng
>>
> _______________________________________________
> 16ng mailing list
> [email-masked]
> http://eeca16.sogang.ac.kr/mailman/listinfo/16ng
> 
> _______________________________________________
> 16ng mailing list
> [email-masked]
> http://eeca16.sogang.ac.kr/mailman/listinfo/16ng
> 
>
>From [email-masked] Tue Aug 22 12:14:43 2006
Date: Mon, 21 Aug 2006 21:02:28 -0500 (CDT)
From: <[email-masked]>
Subject: Re: Re: [16ng] PMP definition in Section 2.2 of RFC2461
To: Soohong Daniel Park <[email-masked]>,
   "Johnston, Dj" <[email-masked]>,
   Jeff Mandin <[email-masked]>,
   Junghoon Jee <[email-masked]>
cc: [email-masked]

>From: Soohong Daniel Park <[email-masked]>
>Date: 2006/08/21 Mon PM 07:02:41 CDT
>To: "Johnston, Dj" <[email-masked]>, 
	Jeff Mandin <[email-masked]>, 
	Junghoon Jee <[email-masked]>
>Cc: [email-masked]
>Subject: Re: [16ng] PMP definition in Section 2.2 of RFC2461

>DJ,
>
>Are you assuming that the point-to-point definition in RFC 2461 is pretty much enough for the 16ng work ? 
>
>point-to-point - a link that connects exactly two interfaces.  
>A point-to-point link is assumed to have multicast capability

More specifically, isn't the presumption that it ('it' being a point-to-point link) has bidirectional multicast capability? 802.16e does not have an uplink multicast facility AFAIK.

>and have a link-local address.
>
>Note: I don't have any hard stance on this subject. Rather trying to clarify this point from the RFC 2461 view point.

Who has read the IEEE 802.16e spec? I have not, and would suppose it (the spec) to be authoritative on this question. My two cents.

>
>Daniel (Soohong Daniel Park)
>Mobile Convergence Laboratory, SAMSUNG Electronics.

Best Regards,

Tim
Rom 8:28

>
>----- Original Message ----- 
>From: "Johnston, Dj" <[email-masked]>
>To: "Jeff Mandin" <[email-masked]>; "Junghoon Jee" <[email-masked]>
>Cc: <[email-masked]>
>Sent: Friday, August 18, 2006 7:01 AM
>Subject: RE: [16ng] PMP definition in Section 2.2 of RFC2461
>
>
>> This cannot be.
>> 
>> 1) 802.16 does not specify forwarding behaviour between multiple points.
>> It does specify point to point MAC connections between SSs and BSs and
>> the mapping of those connections to MAC service by the CS.
>> 
>> 2) If a single instance of a CS terminated multiple connection sets for
>> multiple endpoints and used MAC addresses to place packets on
>> connections, then that would be a gross violation of the 802
>> architecture and would break 802.1D. We have 802.1D to join together
>> these networks in an interoperable way.
>> 
>> 3) operPointToPointMac = TRUE
>> 
>> 
>> 
>> -----Original Message-----
>> From: [email-masked]
>> [mailto:[email-masked]] On Behalf Of Jeff Mandin
>> Sent: Thursday, August 17, 2006 11:51 AM
>> To: Junghoon Jee
>> Cc: [email-masked]
>> Subject: Re: [16ng] PMP definition in Section 2.2 of RFC2461
>> 
>> No opinion on RFC 2461bis.
>> 
>> However we can see that 802.16e-2005 is PMP at the MAC layer (for all
>> CS types) from the fact that there is a single MAC SAP (and a single
>> MAC instance with a single set of classifiers) at the BS through which
>> communication with multiple SSes takes place.
>> 
>> By way of contrast,  first mile ethernet (802.3ah) is PMP at the PHY,
>> but includes a "point to point emulation layer" which glues together
>> multiple MAC instantiations and a single PHY and multiplexes - so that
>> each LLC (or IP) client instance at the BS sees a point-to-point link
>> to a specific subscriber.
>> 
>> - Jeff
>> 
>> 
>> 
>> On 8/17/06, Junghoon Jee <[email-masked]> wrote:
>>> I agree with DJ here.
>>> It seems there's no need to update the RFC2461.
>>>
>>> Junghoon
>>>
>>> > -----Original Message-----
>>> > From: [email-masked]
>>> > [mailto:[email-masked]] On Behalf Of Johnston, Dj
>>> > Sent: Thursday, August 17, 2006 5:53 AM
>>> > To: Rao Satyanarayana-W60007; Soohong Daniel Park;
>>> > [email-masked]
>>> > Subject: RE: [16ng] PMP definition in Section 2.2 of RFC2461
>>> >
>>> >
>>> > 802.16 is PMP at the physical layer, but not at the MAC
>>> > layer. At the MAC service it is P2P.
>>> >
>>> > DJ
>>> >
>>> >
>>> > -----Original Message-----
>>> > From: [email-masked]
>>> > [mailto:[email-masked]] On Behalf Of Rao
>>> > Satyanarayana-W60007
>>> > Sent: Wednesday, August 16, 2006 10:59 AM
>>> > To: Soohong Daniel Park; [email-masked]
>>> > Subject: RE: [16ng] PMP definition in Section 2.2 of RFC2461
>>> >
>>> > Yes, I agree.   For completeness sake,  it should.
>>> >
>>> > - Satya Rao
>>> > Mobile Devices Technology Office
>>> > Motorola
>>> > Tel: 512-996-6781
>>> > Email: [email-masked]
>>> >
>>> >
>>> > > -----Original Message-----
>>> > > From: [email-masked]
>>> > > [mailto:[email-masked]] On Behalf Of
>>> > Soohong Daniel
>>> > > Park
>>> > > Sent: Wednesday, August 16, 2006 1:33 AM
>>> > > To: [email-masked]
>>> > > Subject: [16ng] PMP definition in Section 2.2 of RFC2461
>>> > >
>>> > > So far, no PMP link are defined in RFC 2461, Section 2.2.
>>> > > In case of IEEE 802.16, PMP is a mandatory topology.
>>> > > Obviously, 16ng solution is based on PMP link type.
>>> > >
>>> > > Do we need a PMP definition in Section 2.2 of RFC2461 ?
>>> > >
>>> > > For example;
>>> > > ================================================
>>> > > point-to-multipoint
>>> > > - a link consists of a single interface communicating directly
>>> with
>>> > > more than one interface.
>>> > > ================================================
>>> > >
>>> > > I know the status of 2461bis is a AD Evaluation, so if allowed, we
>>>
>>> > > should tackle the PMP link definition on the bis.
>>> > >
>>> > > Comments ?
>>> > >
>>> > > Daniel (Soohong Daniel Park)
>>> > > Mobile Convergence Laboratory, SAMSUNG Electronics.
>>> > > _______________________________________________
>>> > > 16ng mailing list
>>> > > [email-masked]
>>> > > http://eeca16.sogang.ac.kr/mailman/listinfo/16ng
>>> > >
>>> >
>>> > _______________________________________________
>>> > 16ng mailing list
>>> > [email-masked]
>>> > http://eeca16.sogang.ac.kr/mailman/listinfo/16ng
>>> >
>>> > _______________________________________________
>>> > 16ng mailing list
>>> > [email-masked]
>>> > http://eeca16.sogang.ac.kr/mailman/listinfo/16ng
>>>
>>> _______________________________________________
>>> 16ng mailing list
>>> [email-masked]
>>> http://eeca16.sogang.ac.kr/mailman/listinfo/16ng
>>>
>> _______________________________________________
>> 16ng mailing list
>> [email-masked]
>> http://eeca16.sogang.ac.kr/mailman/listinfo/16ng
>> 
>> _______________________________________________
>> 16ng mailing list
>> [email-masked]
>> http://eeca16.sogang.ac.kr/mailman/listinfo/16ng
>> 
>>
>_______________________________________________
>16ng mailing list
>[email-masked]
>http://eeca16.sogang.ac.kr/mailman/listinfo/16ng